## ManetteMonitorIter ManetteMonitorIter — An object iterating over the available devices |

## Functions

gboolean | manette_monitor_iter_next ()
void | manette_monitor_iter_free ()

## Object Hierarchy

        GBoxed
        ╰── ManetteMonitorIter

## Includes

    #include <src/libmanette.h>

## Description

## Functions

### manette_monitor_iter_next ()

    gboolean
    manette_monitor_iter_next (ManetteMonitorIter *self,
                               ManetteDevice **device);

Gets the next device from the device monitor iterator.

#### Parameters

self | a ManetteMonitorIter |
device | return location for the device. | [out][nullable][transfer none]

#### Returns

whether the next device was retrieved, if not, the end was reached

### manette_monitor_iter_free ()

    void
    manette_monitor_iter_free (ManetteMonitorIter *self);

Frees a ManetteMonitorIter.

[skip]

#### Parameters

self | a ManetteMonitorIter |

## See Also

ManetteDevice, ManetteMonitor